[Python-Dev] [ANN] Python 2.3.7 and 2.4.5, release candidate 1

Brett Cannon brett at python.org
Mon Mar 3 01:58:35 CET 2008


On Sun, Mar 2, 2008 at 4:52 PM, Fred Drake <fdrake at acm.org> wrote:
> On Mar 2, 2008, at 7:43 PM, Fred Drake wrote:
>  > 2.4.5 won't build for me from the svn checkout on Mac OS X 10.5.2:
>
>
>  Neither does 2.3.7 now that I've tried that:
>
>  gcc  -u __dummy -u _PyMac_Error -framework System -framework
>  CoreServices -framework Foundation -o python.exe \
>                         Modules/python.o \
>                         libpython2.3.a -ldl
>  Undefined symbols:
>    "__dummy", referenced from:
>  ld: symbol(s) not found
>  collect2: ld returned 1 exit status
>  make: *** [python.exe] Error 1
>
>  Of course, I wasn't using an earlier 2.3.x version on this box.  I
>  would really like to be able to use 2.4.5, since I've been using 2.4.4
>  for work for a while now.

For me on OS X 10.5.2 (gcc 4.0.1) for 2.37 I am getting a ton of:

  sem_post: Bad file descriptor
  sem_init: Function not implemented
  sem_trywait: Bad file descriptor

-Brett



More information about the Python-list mailing list